<?php
$debug = false;

if ($func == '')
{
	$rowsPerPage = 20;
	$listName    = null;
	
	$query = '
		SELECT id, sort, name, description
		FROM '.$REX['TABLE_PREFIX'].'products_prices_list_categories';
	
	$list = rex_list::factory($query, $rowsPerPage, $listName, $debug);
	
	// Standard-Sortierung nur hinzufügen, wenn der Benutzer keine Sortierung gewählt hat
	$sort = rex_request("sort", "string", "");
	if ($sort == "")
	{
		$query.= " ORDER by sort ASC, name";
	}
	
	$imgHeader = '<a href="'. $list->getUrl(array('func' => 'add')) .'"><img src="media/metainfo_plus.gif" alt="add" title="add" /></a>';
	
	$list->addColumn(
		$imgHeader, '<img src="media/metainfo.gif" alt="field" title="field" />', 0, array( '<th class="rex-icon">###VALUE###</th>', '<td class="rex-icon">###VALUE###</td>' )
	);
	
	//$list->setColumnLabel('id', 'ID');
	$list->setColumnLabel('name', 'Name');
	$list->setColumnLabel('sort', 'Sortierung');
	$list->setColumnLabel('description', 'Beschreibung');
	
	$list->setColumnParams('name',         array('func' => 'edit', 'id' => '###id###'));
	$list->setColumnParams('sort',         array('func' => 'edit', 'id' => '###id###'));
	$list->setColumnParams('description',  array('func' => 'edit', 'id' => '###id###'));
	
	// Spalten sortierbar machen
	$list->setColumnSortable('name');
	$list->setColumnSortable('sort');
	
	// Muss nicht angezeigt werden
	$list->removeColumn('id');
	
	$list->show();
}
elseif ($func == 'edit' || $func == 'add')
{
	$id = rex_request('id','int');
	
	$form = rex_form::factory($REX['TABLE_PREFIX'].'products_prices_list_categories', "Produktkategorien", "id=".$id, 'post', $debug);
	$field = &$form->addTextField('sort');
	$field->setLabel('Sortierung');
	$field = &$form->addTextField('name');
	$field->setLabel('Name');
	$field = &$form->addTextAreaField('description');
	$field->setLabel('Beschreibung');
	
	if($func == 'edit') {
		$form->addParam('id', $id);
	}
	
	$form->show();
}
?>