--
-- Tabellenstruktur für Tabelle `%TABLE_PREFIX%products_prices_list`
--

DROP TABLE IF EXISTS `%TABLE_PREFIX%products_prices_list`;
CREATE TABLE `%TABLE_PREFIX%products_prices_list` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `sort` int(11) unsigned NOT NULL DEFAULT 0 COMMENT 'Sortierung',
  `category_id` int(11) unsigned NOT NULL DEFAULT 0 COMMENT 'Verknüpfung mit Kategorie',
  `name` varchar(255) CHARACTER SET latin1 NOT NULL,
  `description` varchar(255) CHARACTER SET latin1 DEFAULT NULL COMMENT 'Kurzbeschreibung',
  `image` varchar(255) CHARACTER SET latin1 DEFAULT NULL COMMENT 'Produktbild',
  `article_id` varchar(255) CHARACTER SET latin1 DEFAULT NULL COMMENT 'ID eines verknüpften Artikels',
  `price` float(7,2) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `%TABLE_PREFIX%products_prices_list_categories`;
CREATE TABLE `%TABLE_PREFIX%products_prices_list_categories` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `sort` int(11) unsigned NOT NULL DEFAULT 0 COMMENT 'Sortierung',
  `name` varchar(255) CHARACTER SET latin1 NOT NULL,
  `description` varchar(255) CHARACTER SET latin1 DEFAULT NULL COMMENT 'Kurzbeschreibung',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

INSERT INTO `%TABLE_PREFIX%products_prices_list_categories`
SET `name` = 'Sonstiges', `description` = 'Sonstige Produkte';